import { html as c } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, g = Object.getOwnPropertyDescriptor, p = (n, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? g(t, s) : t, i = n.length - 1, o; i >= 0; i--)
    (o = n[i]) && (e = (r ? o(t, s, e) : o(e)) || e);
  return r && e && m(t, s, e), e;
};
let l = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--ireland", this.class = "c-pieIcon c-pieIcon--ireland", this.name = "IconFlagIreland";
  }
  render() {
    return c`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--ireland"><path fill="#EEE" d="M8 15A7 7 0 1 0 8 1a7 7 0 0 0 0 14Z"></path><path fill="#FF9811" d="M15 8a7 7 0 0 0-4.566-6.563v13.126A7 7 0 0 0 15 8Z"></path><path fill="#6DA544" d="M1 8a7 7 0 0 0 4.566 6.563V1.437A7 7 0 0 0 1 8Z"></path></svg>`;
  }
};
p([
  a({ type: String, reflect: !0 })
], l.prototype, "size", 2);
p([
  a({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = p([
  h("icon-flag-ireland")
], l);
export {
  l as IconFlagIreland
};
